Skip to content

Vision Head Proxy

Total endpoints: 1 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER Some endpoints are optional and are available only when dependent services are configured.

Put Window Visible

  • Endpoint: /api/v2/camera-manager-head/window/visible *(optional route)*
  • Function: Set the vision-head window visibility state.
  • Method: PUT
  • Parameters:
  • visible (query, bool)
  • Shell Command:
curl -X PUT "https://<ROBOT_IP>/rest/api/v2/camera-manager-head/window/visible?visible=true" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/camera-manager-head/window/visible"
headers = {"Authorization": "Bearer <token>"}
params = {'visible': True}
response = requests.put(url, headers=headers, params=params, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
null

Note: No payload is returned by this endpoint.